Skip to content

Result Query

  • Endpoint: POST /delSuffixStart5
  • Tags: Collection Service

Description

Note that the request address does not contain the interface description in brackets

Parameters

FieldInTypeRequiredConstraintsDescription
signheaderstringYes

Parameter Examples

  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
merchantIdstringYesmaxLength: 30Merchant ID assigned by PayerMax.
bizTypestringYesmaxLength: 30Business type. Value 'payTransQuery' needs to be passed here.
versionstringYesmaxLength: 5API version, currently always pass '2.5'.
orderIdstringYesmaxLength: 64Merchant order ID.

Example

json
{
  "bizType": "payTransQuery",
  "merchantId": "SP12345678",
  "orderId": "154391186666",
  "version": "2.5"
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
dataobjectYesResponse body,refer to the below【data parameters】
data.totalAmountstringYesmaxLength: 12Transaction amount transferred from merchant. Value range: [1, 100000000], up to two decimal places.Note: Bahrain, Kuwait, Jordan, Omar,Tunisia, the local currency only supports two decimal places; In Indonesia, Taiwan (China), South Korea, Vietnam, Chile,Pakistan, Colombia, Japan, Iceland, Paraguay, the local currency does not support decimal amounts.See【Supported Country/Region and Currency
data.currencystringYesmaxLength: 8Transaction currency transferred from merchant, in capital letters. See 【Country & Region Codes
data.payAmountstringYesmaxLength: 12Payment amount actually paid by the user.
data.payCurrencystringYesmaxLength: 8Transaction currency transferred from merchant, in capital letters. See 【Country & Region Codes
data.exchangeRatestringNomaxLength: 16Exchange rate used to convert transaction amount to payment amount. Returned when the transaction currency and payment currency are not the same.
data.tradeNostringYesmaxLength: 64PayerMax platform order number.
data.orderIdstringYesmaxLength: 64Merchant order number.
data.statusnumberYesThe order status: 0-Pending, 1-Success, 2-Failed. This parameter shows the current order status.
data.errorCodestringYesmaxLength: 64Error code for payment failure. Empty string if payment is successful.
data.errorMsgstringYesmaxLength: 256Error message for payment failure. Empty string if payment is successful.
data.referencestringNomaxLength: 512The parameters passed in by the merchant are exactly the same as the reference in the request parameters.
data.paymentMethodTypestringNomaxLength: 16Payment method
data.targetOrgstringNomaxLength: 16Target organization
data.cardInfo stringNomaxLength: 256Card information cardOrg:Card organization, returned when the paymentMethod is CARD, only returned when the transaction is successful and the user chooses card organization to pay cardIdentifierNo:Card number, when the paymentMethod is CARD, the mask returns cardIdentifierName:Card name, when the paymentMethod is CARD, the mask returns
data.channelNostringNomaxLength: 64Channel Order No.
data.thirdChannelNostringNomaxLength: 64third channel No
data.paymentCodestringNomaxLength: 64VA No
bizCodestringYesResponse code
messagestringNomaxLength: 256Response msg

Response Example

json
"\n    \"data\": {\n        \"totalAmount\": \"1\",\n        \"currency\": \"USD\",\n        \"channelNo\": \"DMCP000000000177005\",\n        \"thirdChannelNo\": \"4ikqJ6ktEqyRawE1dvqb9c\",\n        \"paymentCode\": \"2312121212\",\n        \"payAmount\": \"78\",\n        \"payCurrency\": \"INR\",\n        \"exchangeRate\": \"78\",\n        \"tradeNo\": \"TRADE201812040812430212755\",\n        \"orderId\": \"15439118556646\",\n        \"status\": 1, \n        \"errorCode\": \"\", \n        \"errorMsg\": \"\", \n        \"reference\":\"Item157\"\n    },\n    \"bizCode\": \"0000\"\n}"

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.